diff mbox

[FFmpeg-devel] tests/run-sh: Add execsuf to some calls of local tools

Message ID CAB0OVGpOXZRomnUaqQVnx_Rz-dcNxX0eZ8SvU4DpfiPcACXMmg@mail.gmail.com
State Superseded
Headers show

Commit Message

Carl Eugen Hoyos April 19, 2019, 2:12 p.m. UTC
2019-04-19 13:11 GMT+02:00, Carl Eugen Hoyos <ceffmpeg@gmail.com>:

> Attached patch is needed here for fate on wsl with msvc, not
> sure why I didn't need this with mingw-gcc.

Better tested and correct variant attached.

Please comment, Carl Eugen
diff mbox

Patch

From ef2c43835568dc541b2d88e393768d5457845daa Mon Sep 17 00:00:00 2001
From: Carl Eugen Hoyos <ceffmpeg@gmail.com>
Date: Fri, 19 Apr 2019 16:11:54 +0200
Subject: [PATCH] tests/fate-run: Add hostexesuf to some calls of local tools.

Allows running fate on wsl with msvc.
---
 tests/fate-run.sh |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/tests/fate-run.sh b/tests/fate-run.sh
index 56c4efb..2af8612 100755
--- a/tests/fate-run.sh
+++ b/tests/fate-run.sh
@@ -5,7 +5,7 @@  export LC_ALL=C
 base=$(dirname $0)
 . "${base}/md5.sh"
 
-base64=tests/base64
+base64=tests/base64${HOSTEXESUF}
 
 test="${1#fate-}"
 target_samples=$2
@@ -45,7 +45,7 @@  compare(){
 }
 
 do_tiny_psnr(){
-    psnr=$(tests/tiny_psnr "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
+    psnr=$(tests/tiny_psnr${HOSTEXESUF} "$1" "$2" $cmp_unit $cmp_shift 0) || return 1
     val=$(expr "$psnr" : ".*$3: *\([0-9.]*\)")
     size1=$(expr "$psnr" : '.*bytes: *\([0-9]*\)')
     size2=$(expr "$psnr" : '.*bytes:[ 0-9]*/ *\([0-9]*\)')
@@ -206,7 +206,7 @@  enc_dec(){
     ffmpeg $8 $DEC_OPTS -i $tencfile $ENC_OPTS $dec_opt $FLAGS \
         -f $dec_fmt -y $tdecfile || return
     do_md5sum $decfile
-    tests/tiny_psnr $srcfile $decfile $cmp_unit $cmp_shift
+    tests/tiny_psnr${HOSTEXESUF} $srcfile $decfile $cmp_unit $cmp_shift
 }
 
 transcode(){
@@ -455,7 +455,7 @@  audio_match(){
     cleanfiles="$cleanfiles $decfile"
 
     ffmpeg -i "$sample" -bitexact $extra_args -y $decfile
-    tests/audiomatch $decfile $trefile
+    tests/audiomatch${HOSTEXESUF} $decfile $trefile
 }
 
 concat(){
-- 
1.7.10.4